tigase.server.sreceiver

## Class TesterTask

- java.lang.Object
- - tigase.server.sreceiver.AbstractReceiverTask
  - - tigase.server.sreceiver.TesterTask

- All Implemented Interfaces:
    ReceiverTaskIfc

      public class TesterTask
      extends AbstractReceiverTask

  Describe class TesterTask here. Created: Mon Sep 17 18:07:12 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TesterTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHelp()` `getHelp` method returns task help information.
    `String` | `getType()` `getType` method returns the task type name.
    `protected void` | `processMessage(Packet packet, Queue<Packet> results)` Method description

    - ### Methods inherited from class tigase.server.sreceiver.AbstractReceiverTask

      `addNewSubscribers, addOutPacket, addToRoster, addToRoster, destroy, getDefaultParams, getDescription, getInstance, getJID, getParams, getRoster, getRosterItem, getStatistics, getStats, init, isAdmin, isAllowedToPost, isAllowedToSubscribe, processPacket, removeFromRoster, removeSubscribers, setJID, setParams, setRosterItemAdmin, setRosterItemModerationAccepted, setRosterItemOnline, setRosterItemOwner, setRosterItemSubscribed, setStanzaReceiver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TesterTask

          public TesterTask()

  - ### Method Detail

    - #### getHelp

          public String getHelp()

      Description copied from interface: `ReceiverTaskIfc`
      `getHelp` method returns task help information. This general information about tasks abilties so when the user selects task for creation he might know what the task is about. This is more like class description rather then instance description.
      Returns:
        a `String` value of task class help information.

    - #### getType

          public String getType()

      Description copied from interface: `ReceiverTaskIfc`
      `getType` method returns the task type name. This name is displayed on the list of all tasks available for creation. This is not a nick name of created task this is something more like "Drupal forums connector" or "Interest group". Like a Java class name is unique in JVM the task name must be also inique for `StanzaReceiver.` Look at task nick name for more details.
      Returns:
        a `String` value of the task name.

    - #### processMessage

          protected void processMessage(Packet packet,
                                        Queue<Packet> results)

      Method description
      Overrides:
        `processMessage` in class `AbstractReceiverTask`
      Parameters:
        `packet` -
        `results` -

Copyright © 2022 "Tigase, Inc.". All rights reserved.